
µWeb - Feature #787

uweb website - apache config generator

2012-04-23 09:24 - Jacko Hoogeveen

Status: Closed Start date: 2012-04-23

Priority: Normal Due date: 2012-04-27

Assignee: Jacko Hoogeveen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: µWeb alpha release Spent time: 3.00 hours

Description

Een generator voor apache configs voor uweb

History

#1 - 2012-04-23 17:22 - Jacko Hoogeveen

- Status changed from New to Resolved

- Assignee changed from Jacko Hoogeveen to Jan Klopper

- % Done changed from 0 to 70

Created apache generator python script to uweb repos.

#2 - 2012-04-24 14:35 - Jan Klopper

- Status changed from Resolved to Feedback

- Assignee changed from Jan Klopper to Jacko Hoogeveen

I think you missed:

if __name__ == '__main__':

  main()

 

Futhermore, using raw_input is much less nice than using optparse to fetch arguments from the actual call, as raw_input prompts the user for input

instead of allowing the script to be used in a one command like fashion. Also, output should be presented on stdout.

Eg, apacheconfig_generator.py -r=router.py -h=hostname.com > output.conf

Also, hardcoded /'es should be avoided as the os.path module has a pathseperator constant which will also work on windows.

#3 - 2012-04-27 11:27 - Jacko Hoogeveen

- Assignee changed from Jacko Hoogeveen to Jan Klopper

Updated config generator to accept console commands.
#4 - 2012-05-02 20:24 - Jan Klopper

- Status changed from Feedback to Closed

- Assignee changed from Jan Klopper to Jacko Hoogeveen

- % Done changed from 70 to 100

Not giving it any input results in a python error as it tries to execute instead of return the help, I see you do return the help incase --help is given, but

its now showing up if you give not enough input.

Its been fixed.
